{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "nvme" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-amd" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "zroot/local/root";
      fsType = "zfs";
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/daf2a731-952f-45c7-9c25-49e1a2f56062";
      fsType = "ext4";
    };

  fileSystems."/nix" =
    { device = "zroot/local/nix";
      fsType = "zfs";
    };

  fileSystems."/persist" =
    { device = "zroot/safe/persist";
      fsType = "zfs";
    };

  fileSystems."/home" =
    { device = "zroot/safe/home";
      fsType = "zfs";
    };

  fileSystems."/root" =
    { device = "zroot/safe/root";
      fsType = "zfs";
    };

  fileSystems."/var/cache/restic-backups-tardis" =
    { device = "zroot/safe/restic-cache";
      fsType = "zfs";
    };

  fileSystems."/tmp" =
    { device = "zroot/local/tmp";
      fsType = "zfs";
    };

  fileSystems."/persist/data" =
    { device = "dpool/safe/data";
      fsType = "zfs";
    };

  fileSystems."/var/lib/docker" =
    { device = "zroot/local/docker";
      fsType = "zfs";
    };

  swapDevices = [ ];

}
