# Stream: Zoom zu YouTube

Die meisten einzelnen Zoom-Veranstaltungen lassen sich ohne Umwege direkt zur YouTube streamen
und die meisten Schritte dazu könnt ihr bereits im Vorfeld machen.

Ein erweitertes Setup wie beispielsweise [hier mit dem Programm OBS Studio](streams/obs.md) braucht ihr
erst, wenn ihr
- Links, Bauchbinden, Logos etc. einblenden möchtet,
- längere Videos einspielen möchtet (die über die "Bildschirm Teilen" Funktion von Zoom zu sehr ruckeln), oder
- den Stream zwischendurch pausieren möchtet (z.B. mit einem Standbild), während im Zoom Meeting weiter geredet werden kann

?> Mehr Infos zu Zoom gibt es auf der [Wiki-Seite zu Zoom](tools/zoom.md). Die Oberfläche von Zoom schaut je nach Account und aktivierten Funktionen anders aus, deswegen sind manche Screenshots nicht immer gleich.

## Streams aktivieren
Sowohl in Zoom, als auch bei YouTube, muss Streaming aktiviert sein, bevor ihr es nutzen könnt.
Diese Schritte müsst ihr für jeden YouTube Kanal beziehungsweise Zoom Account **nur einmal
durchführen**. Wichtig ist aber, dass ihr das früh genug macht, denn bei YouTube müssen
Streams mindestens **24 Stunden vorher** aktiviert werden.

#### YouTube
Livestreaming lässt sich von [YouTube Studio](https://studio.youtube.com) aus aktivieren.
Klicke dazu auf `Erstellen -> Livestream Starten`:

<img class="screenshot" src="img/streams/youtube-stream-1.png">

Wenn Livestreaming noch nicht aktiviert wurde, erscheint eine Meldung:

<img class="screenshot" src="img/streams/youtube-stream-2.png">

Mit Klick auf `Aktivieren` leitet YouTube dann durch die notwendigen Schritte. Insbesondere
muss eine Telefonnummer mit dem Kanal verknüpft werden. Nach 24 Stunden ist Livestreaming
dann verfügbar.

Mehr Informationen gibt es auch noch auf der [Support Seite von YouTube](https://support.google.com/youtube/answer/2474026).

#### Zoom
?> Voraussetzung, um mit Zoom streamen zu können, ist ein Pro-, Business-, Bildungs-
oder Enterprise-Account. Den Lizenztyp findest du in den Profileinstellungen. Mehr Informationen zu Streams gibt es auf der [Webseite von Zoom](https://support.zoom.us/hc/de/articles/115001777826-Live-Streaming-Meetings-or-Webinars-Using-a-Custom-Service).

Livestreaming muss in den Einstellungen von Zoom für deinen Account aktiviert werden.
Ziemlich weit unten findet sich dort ein Punkt zu Livestreams:

<img class="screenshot" src="img/streams/zoom-stream-2.base.png">

Es reicht, `Benutzerdefinierter Live Streaming Service` auswählen, auch wenn ihr direkt zu
YouTube streamen wollt (Facebook vermutlich auch, noch nicht getestet).
Die Option `YouTube` verwendet einen Google-Account, und ist deswegen weniger flexibel.

## Streams einrichten

### 1. Stream auf YouTube erstellen
Neu Streams lassen sich von [YouTube Studio](https://studio.youtube.com) aus einrichten:

<img class="screenshot" src="img/streams/youtube-stream-1.png">

Es öffnet sich das YouTube Live Studio unter dem Reiter `Verwalten`.
Von dort aus lässt sich mit Klick auf `Stream planen` ein neuer Stream erstellen.

<img class="screenshot" src="img/streams/youtube-stream-5.png">

Eventuell öffnet sich ein Dialog, ob die Einstellungen von einem der letzten Streams
übernommen werden sollen. Im Zweifelsfall empfiehlt es sich, die Einstellungen zu übernehmen
(es wird dann auch der Streaming Key von diesem Stream übernommen).

<img class="screenshot" src="img/streams/youtube-stream-6.png">

Im darauffolgenden Dialog könnt ihr die wichtigsten Daten zum Stream anpassen.

- **Öffentlichkeit**: Wählt am besten zuerst `Nicht gelistet`, sobald ihr den Stream fertig
  eingerichtet habt, könnt ihr ihn wieder auf `Öffentlich` stellen.
- **Datum**: Das angegebene Datum ist für YouTube nicht relevant, es erscheint lediglich auf der
  Streaming Seite als Countdown. Theoretisch kann jeder Stream beliebig früher oder später
  gestartet werden.
- **Zielgruppe**: Außer in Sonderfällen solltet ihr immer `Nein, es ist nicht speziell für
  Kinder` auswählen, weil YouTube sonst Einschränkungen auf den Stream auferlegt (z.B. beim
  Live Chat).

<img class="screenshot" src="img/streams/youtube-stream-7.png">

Mit Klick auf `Stream erstellen` landet ihr in den detailierten Stream-Einstellungen.
Bei den meisten sollte die Standardeinstellung passen, folgendes wollt ihr aber vielleicht
anspassen:
- Die **Stream-Latenz** könnt ihr auf `niedrig` stellen
- Wenn ihr den Stream von **Zoom aus starten und beenden** möchtet, aktiviert die
  Schalter bei `Automatisch starten` und `Automatisch beenden`.

Abschließend müsst ihr noch Streamschlüssel / Streaming Key kopieren für Zoom.

<img class="screenshot" src="img/streams/youtube-stream-8.png">

### 2. Stream auf Zoom einrichten
Es empfiehlt sich Streaming schon einzurichten, bevor das Meeting gestartet wurde. Es ist aber
auch noch möglich während des Meetings den Stream einzurichten.

Für die Einrichtung vor dem Meeting finden sich die Einstellungen bei den Meeting-Details
(nicht Meeting-Einstellungen):

<img class="screenshot" src="img/streams/zoom-stream-3.base.png">

Dort sollte es unten einen Abschnitt geben, um Livestreaming einzurichten. Der Abschnitt kann je nach Account anders aussehen:

<img class="screenshot" src="img/streams/zoom-stream-4.base.png">

Beim Klick auf `Konfigurieren`/`Configure` oder Ähnlichem öffnet sich ein Dialog mit drei
Textfeldern:

<img class="screenshot" src="img/streams/zoom-stream-5.base.png">

Hier kommen die Streaming-Daten rein:
- **Stream URL:** Bei YouTube ist das immer `rtmp://a.rtmp.youtube.com/live2`
- **Stream Key:** Hier kommt der Streaming Key aus YouTube (siehe oben) rein
- **Live Stream Seite URL:** Hier kommt die Seite rein, wo der Stream zu sehen ist: `https://youtube.com`

## Starten

Im Zoom Meeting kann der Host den Livestream unter
`Mehr -> Live auf benutzerdefiniertem Live Streaming Service` starten.

<img class="screenshot" src="img/streams/zoom-stream-6.base.png">

Es öffnet sich im Browser eine Ladeansicht:

<img class="screenshot" src="img/streams/zoom-stream-7.base.png">

Falls `Automatisch starten` in YouTube aktiviert ist (siehe oben), **seid ihr danach live!**

Ansonsten könnt ihr im letzten Schritt jetzt auch noch den Stream in YouTube starten:

<img class="screenshot" src="img/streams/youtube-stream-9.png">

## Beenden

Falls `Automatisch beenden` in YouTube aktiviert ist, solltet ihr zuerst den Stream dort
beenden:

<img class="screenshot" src="img/streams/youtube-stream-10.png"><br>
<img class="screenshot" src="img/streams/youtube-stream-11.png">

Danach – oder falls `Automatisch beenden` aktiviert ist direkt –  könnt ihr
in Zoom den Stream beenden:

<img class="screenshot" src="img/streams/zoom-stream-8.base.png">
