# Stream: Zoom an PCS-Server (RTMP)

Die meisten einzelnen Zoom-Veranstaltungen lassen sich ohne Umwege direkt zur YouTube streamen
und die meisten Schritte dazu könnt ihr bereits im Vorfeld machen.

Ein erweitertes Setup wie beispielsweise [hier mit dem Programm OBS Studio](streams/obs.md) braucht ihr
erst, wenn ihr
- Links, Bauchbinden, Logos etc. einblenden möchtet,
- längere Videos einspielen möchtet (die über die "Bildschirm Teilen" Funktion von Zoom zu sehr ruckeln), oder
- den Stream zwischendurch pausieren möchtet (z.B. mit einem Standbild), während im Zoom Meeting weiter geredet werden kann

?> Mehr Infos zu Zoom gibt es auf der [Wiki-Seite zu Zoom](tools/zoom.md). Die Oberfläche von Zoom schaut je nach Account und aktivierten Funktionen anders aus, deswegen sind manche Screenshots nicht immer gleich.

#### Zoom
?> Voraussetzung, um mit Zoom streamen zu können, ist ein Pro-, Business-, Bildungs-
oder Enterprise-Account. Den Lizenztyp findest du in den Profileinstellungen. Mehr Informationen zu Streams gibt es auf der [Webseite von Zoom](https://support.zoom.us/hc/de/articles/115001777826-Live-Streaming-Meetings-or-Webinars-Using-a-Custom-Service).

Livestreaming muss in den Einstellungen von Zoom für deinen Account aktiviert werden.
Ziemlich weit unten findet sich dort ein Punkt zu Livestreams:

<img class="screenshot" src="img/streams/zoom-stream-2.base.png">

Es reicht, `Benutzerdefinierter Live Streaming Service` auswählen, auch wenn ihr direkt zu
YouTube streamen wollt (Facebook vermutlich auch, noch nicht getestet).
Die Option `YouTube` verwendet einen Google-Account, und ist deswegen weniger flexibel.

### 2. Stream auf Zoom einrichten
Es empfiehlt sich Streaming schon einzurichten, bevor das Meeting gestartet wurde. 
Es ist aber auch noch möglich während des Meetings den Stream einzurichten.

Für die Einrichtung vor dem Meeting finden sich die Einstellungen bei den Meeting-Details
(nicht Meeting-Einstellungen):

<img class="screenshot" src="img/streams/zoom-stream-3.base.png">

Dort sollte es unten einen Abschnitt geben, um Livestreaming einzurichten. Der Abschnitt kann je nach Account anders aussehen:

<img class="screenshot" src="img/streams/zoom-stream-4.base.png">

Beim Klick auf `Konfigurieren`/`Configure` oder Ähnlichem öffnet sich ein Dialog mit drei
Textfeldern:

<img class="screenshot" src="img/streams/zoom-rtmp.jpg">

Hier kommen die Streaming-Daten des PCS Technik-Servers rein:
- **Stream URL:** `rtmp://streams.4futu.re:1935/input`
- **Stream Key:** `1234`
- **Live Stream Seite URL:**  `https://publicclimateschool.de`

## Starten

Im Zoom Meeting kann der Host den Livestream unter
`Mehr -> Live auf benutzerdefiniertem Live Streaming Service` starten.

<img class="screenshot" src="img/streams/zoom-stream-6.base.png">

Es öffnet sich im Browser eine Ladeansicht:

<img class="screenshot" src="img/streams/zoom-stream-7.base.png">

Falls `Automatisch starten` in streamt ihr an unseren Server Video und Ton und könnt Live geschaltet werden.**


## Beenden

Auf Ende bei Streaming klicken oder Konferenz schließen / neustarten.