# Zoom

Zoom wird bereits von vielen DozentInnen für Online-Vorlesungen verwendet. Hier nochmal die wichtigsten Punkte sowie einige weiterführende Informationen zusammengefasst:

**Die wichtigsten Einstellungen auf einen Blick:**   
Hier ein paar der weiterführenden Einstellungen, die für PCS-Zoom-Meetings sinnvoll sein könnten:

**FFF hat bereits [hier ein umfassendes Webinar zu Zoom](https://www.youtube.com/watch?v=ZBU5eIfs87o)** **aufgenommen.**     
**Zudem gibt es auch von Zoom selbst ein recht [ausführliches Wiki](https://support.zoom.us/hc/de/articles/206618765-Zoom-Video-Tutorials), das viele Funktionen nochmal im Detail erklärt:**

## Zoom-Einstellungen
In den Zoom-Einstellungen können jede Menge Dinge eingestellt werden. Man erreicht die Einstellungen entweder über Anmeldung bei Zoom (bzw. den entsprechenden Zoom-Seiten der Hochschulen/Universitäten) und dann durch einen Klick auf `Einstellungen`. Oder über die Zoom-Anwendung rechts oben unter dem Account-Icon durch Klick auf das `Zahnrad` und dann unten auf `Mehr Einstellungen ansehen`. Werden bestimmte Einstellungen gesucht, so muss unter Umständen eine Weile gescrollt werden...

## Co-Hosts
Co-Hosts sind vor allem dann sehr praktisch, wenn **mehrere Menschen** moderieren, diskutieren oder eine Präsentation zeigen wollen. Normalerweise gibt es **in Zoom nur einen Host**, nämlich die Person, die das Meeting erstellt hat. In den meisten Fällen sind jedoch noch weitere Menschen beteiligt, die ebenfalls Berechtigungen benötigen. Dies lässt sich durch Co-Hosts umsetzen.

**Folgende Schritte zum Erstellen eines Co-Hostes:**

Direkt im Zoom Meeting:
- In der unteren Leiste auf `Teilnehmer`
- Person auswählen und auf `Mehr` klicken
- `Co-Host`auswählen und bestätigen

Im Planungsdialog:
- Neues Zoom Meeting erstellen oder bei bestehendem auf `Bearbeiten` klicken
- ganz unten auf `Erweiterte Optionen`
- wieder ganz unten im Feld `Alternative Moderatoren` die E-Mailadresse der Person eingeben
- hierbei kann es eventuell zu einem Fehler kommen, falls die Person nicht an der gleichen Institution ist, dann einfach *direkt im Zoom Meeting* Co-Host Berechtigungen zuweisen

Sollten diese Schritte **nicht funktionieren**, muss eventuell in den **[Zoom-Einstellungen](zoom?id=zoom-einstellungen)** noch `Co-Moderator` (dafür etwas herunterscrollen) aktiviert werden.

## Livestreams
Einige Veranstaltungen werden ja in den bundesweiten Livestream eingebunden. Folgende Schritte, um einen Livestream aus Zoom aus einzurichten:
- Vorbereitung: In den [Zoom-Einstellungen](zoom?id=zoom-einstellungen) den Punkt `Live-Stream` aktivieren und den Haken bei `benutzerdefinierter Live Streaming Service` setzen
- die Daten für den Streaming-Server bekommt ihr von uns rechtzeitig direkt zugesendet
- Im Meeting dann in der unteren Leiste rechts auf den Punkt `Mehr` klicken und dann auf `Live auf benutzerdefinierter Streaming-Service`
- es öffnet sich eine Seite, auf der Ihr die Daten eingeben und den Stream starten. Die Zugangsdaten dafür bekommt ihr von uns

## Meetings von anderen DozentInnen
Wenn DozentInnen euch einen Link für das Meeting geben, müsst ihr ein paar Schritte beachten, um das Meeting z.B. zu streamen. Zuerst muss der/die DozentIn die entsprechenden Voreinstellungen in den [Zoom-Einstellungen](zoom?id=zoom-einstellungen) treffen. Wenn ihr von uns ein Meeting bekommt, könnt in diesem Meeting über `Teilnehmer` und rechts unten `Host beantragen` selbst zum Host werden. Ihr müsst hierfür nochmal einen Key eingeben, diesen bekommt ihr von uns. Haben DozentInnen das Meeting erstellt, können diese auch im Zoom-Meeting über `Teilnehmer` auf euch klicken und euch zum Host machen.

## Sicherheit
In letzter Zeit gab es leider immer wieder Meldungen von Trollen oder anderen unerwünschten Ereignissen in Zoom-Meetings. Um solchen Szenarien vorzubeugen, hier ein paar Einstellungen, um die Meetings sicherer zu machen:

### Passwörter verwenden: 
In vielen Zoom-Versionen mittlerweile Standard, aufgrund der Wichtigkeit gehört es jedoch auf jeden Fall in diese Aufzählung hier. Für wiederkehrende Veranstaltungen (zum Beispiel Vorlesungen, die regulär über Zoom stattfinden) kann  im Bereich `Meetings` unter `Bearbeiten` das Kennwort für die Veranstaltung geändert werden und danach über den selben Weg manuell wieder zurückgestellt werden. So lässt sich sicherstellen, das nach der PCS wieder nur Studierende des eigenen Studiengangs im Meeting sind

### Bildschirmfreigabe nur für Host/Co-Host:
Damit nicht plötzlich irgendwelche Teilnehmer ihren Bildschirm teilen (mit möglicherweise ungewollten Inhalten) ist es sinnvoll, nur dem Host/bzw. den [Co-Hosts](zoom?id=co-hosts) die Bildschirmfreigabe zu erlauben. Dies funktioniert entweder über die Zoom-Einstellungen unter `Bildschirmübertragung` und dort dann nur `Nur Host` auswählen. Oder aber direkt im Zoom-Meeting über den Punkt `Sicherheit` in der unteren Leiste und dann im Abschnitt `Telnehmern die Erlaubnis geben:` sicherstellen, das kein Haken bei `Bildschirm freigeben` gesetzt ist

### Muten:
Grundsätzlich empfiehlt es sich in Zoom-Meetings, **das Mikrofon stummzuschalten**, wenn gerade nichts gesagt werden soll. Bei TeilnehmerInnen insbesondere ist es durchaus sinnvoll, diese **von Anfang an stummzuschalten**. Dies funktioniert auf **verschiedene Wege:**

**In den [Zoom-Einstellungen](zoom?id=zoom-einstellungen):**
`Teilnehmer beim Beitritt stumm schalten` in den [Zoom-Einstellungen](zoom?id=zoom-einstellungen) aktivieren. Damit können die TeilnehmerInnen jedoch immer noch **selbst ihr Mikrofon wieder aktivieren**. 

**Direkt im Zoom Meeting:**
Zum Beispiel aber bei einem Vortrag kann es **sinnvoll sein, TeilnehmerInnen dauerhaft stummzuschalten**, um zu verhindern, das Menschen ausversehen ihr Mikrofon anschalten. Dafür folgende Schritte befolgen:
- in der unteren Leiste auf `Teilnehmer` klicken
- nun wird eine Liste der TeilnehmerInnen angezeigt
- unten in diesem Fenster auf den Button `Alle stummschalten` klicken
- Es öffnet sich ein Dialogfenster
- Hier kann nun durch den Haken bei `Den Teilnehmern gestatten, ihre Stummschaltung selbst aufzuheben` eingestellt werden, ob TeilnehmerInnen ihr Mikrofon selbst wieder aktivieren können.
- Auf `Ja` klicken. Nun sind alle (auch neu hinzukommende) gemuted.

Will man nun den TeilnehmerInnen erlauben, wieder zu sprechen, gibt es verschiedene Möglichkeiten:
- Das Mikrofon von einzelnen TeilnehmerInnen aktivieren: In der Liste `Teilnehmer` die Person auswählen und auf `Audio ein` klicken
- Alle Mikrofone aktivieren: In der Liste `Teilnehmer` rechsts unten auf `...` und dann auf `Audio aller ein`
- Den TeilnehmerInnen erlauben, ihre Mikrofone selbst zu aktivieren: In der Liste `Teilnehmer` rechsts unten auf `...` und dann auf `Den Teilnehmern gestatten, ihre Stummschaltung selbst aufzuheben`

### Teilnehmer entfernen:
Diese Funktion sollte hoffentlich nicht benötigt werden, dennoch hier der Vollständigkeit halber die Schritte, wenn eine Person aus dem Meeting entfernt werden muss:
- in der unteren Leiste auf `Teilnehmer` klicken
- nun wird eine Liste der TeilnehmerInnen angezeigt
- Die betreffende Person auswählen und bei der Person auf `...` klicken
- Auf `Entfernen` klicken   

Ihr könnt in den [Zoom-Einstellungen](zoom?id=zoom-einstellungen) auch festlegen, dass Menschen, die entfernt wurden, nicht mehr beitreten können. Dafür den Punkt `Entfernten Teilnehmern den erneuten Beitritt erlauben` deaktivieren.



